diff --git a/.gitignore b/.gitignore
index 08ccd2b30..ced6746aa 100644
--- a/.gitignore
+++ b/.gitignore
@@ -1,6 +1,5 @@
-.dbeaver
-.project
 *.log
+*.bak
 /node_modules/*
 messages.pot
 nbproject
diff --git a/.project b/.project
new file mode 100644
index 000000000..5d9663f32
--- /dev/null
+++ b/.project
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<projectDescription>
+	<name>Gradido</name>
+	<comment></comment>
+	<projects>
+	</projects>
+	<buildSpec>
+		<buildCommand>
+			<name>org.eclipse.wst.validation.validationbuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+	</buildSpec>
+	<natures>
+		<nature>org.jkiss.dbeaver.DBeaverNature</nature>
+		<nature>org.eclipse.wst.jsdt.core.jsNature</nature>
+	</natures>
+</projectDescription>
diff --git a/admin/src/components/CreationFormular.spec.js b/admin/src/components/CreationFormular.spec.js
index 08ec71bdc..6e4c1dc6e 100644
--- a/admin/src/components/CreationFormular.spec.js
+++ b/admin/src/components/CreationFormular.spec.js
@@ -1,14 +1,14 @@
 import { mount } from '@vue/test-utils'
 import CreationFormular from './CreationFormular.vue'
-import { createPendingCreation } from '../graphql/createPendingCreation'
-import { createPendingCreations } from '../graphql/createPendingCreations'
+import { adminCreateContribution } from '../graphql/adminCreateContribution'
+import { adminCreateContributions } from '../graphql/adminCreateContributions'
 import { toastErrorSpy, toastSuccessSpy } from '../../test/testSetup'
 
 const localVue = global.localVue
 
 const apolloMutateMock = jest.fn().mockResolvedValue({
   data: {
-    createPendingCreation: [0, 0, 0],
+    adminCreateContribution: [0, 0, 0],
   },
 })
 const stateCommitMock = jest.fn()
@@ -110,7 +110,7 @@ describe('CreationFormular', () => {
             it('sends ... to apollo', () => {
               expect(apolloMutateMock).toBeCalledWith(
                 expect.objectContaining({
-                  mutation: createPendingCreation,
+                  mutation: adminCreateContribution,
                   variables: {
                     email: 'benjamin@bluemchen.de',
                     creationDate: getCreationDate(2),
@@ -334,10 +334,10 @@ describe('CreationFormular', () => {
           jest.clearAllMocks()
           apolloMutateMock.mockResolvedValue({
             data: {
-              createPendingCreations: {
+              adminCreateContributions: {
                 success: true,
-                successfulCreation: ['bob@baumeister.de', 'bibi@bloxberg.de'],
-                failedCreation: [],
+                successfulContribution: ['bob@baumeister.de', 'bibi@bloxberg.de'],
+                failedContribution: [],
               },
             },
           })
@@ -355,7 +355,7 @@ describe('CreationFormular', () => {
         it('calls the API', () => {
           expect(apolloMutateMock).toBeCalledWith(
             expect.objectContaining({
-              mutation: createPendingCreations,
+              mutation: adminCreateContributions,
               variables: {
                 pendingCreations: [
                   {
@@ -390,10 +390,10 @@ describe('CreationFormular', () => {
           jest.clearAllMocks()
           apolloMutateMock.mockResolvedValue({
             data: {
-              createPendingCreations: {
+              adminCreateContributions: {
                 success: true,
-                successfulCreation: [],
-                failedCreation: ['bob@baumeister.de', 'bibi@bloxberg.de'],
+                successfulContribution: [],
+                failedContribution: ['bob@baumeister.de', 'bibi@bloxberg.de'],
               },
             },
           })
diff --git a/admin/src/components/CreationFormular.vue b/admin/src/components/CreationFormular.vue
index cdcd6ef1d..2201838de 100644
--- a/admin/src/components/CreationFormular.vue
+++ b/admin/src/components/CreationFormular.vue
@@ -85,8 +85,8 @@
   </div>
 </template>
 <script>
-import { createPendingCreation } from '../graphql/createPendingCreation'
-import { createPendingCreations } from '../graphql/createPendingCreations'
+import { adminCreateContribution } from '../graphql/adminCreateContribution'
+import { adminCreateContributions } from '../graphql/adminCreateContributions'
 import { creationMonths } from '../mixins/creationMonths'
 export default {
   name: 'CreationFormular',
@@ -158,25 +158,25 @@ export default {
         })
         this.$apollo
           .mutate({
-            mutation: createPendingCreations,
+            mutation: adminCreateContributions,
             variables: {
               pendingCreations: submitObj,
             },
             fetchPolicy: 'no-cache',
           })
           .then((result) => {
-            const failedCreations = []
+            const failedContributions = []
             this.$store.commit(
               'openCreationsPlus',
-              result.data.createPendingCreations.successfulCreation.length,
+              result.data.adminCreateContributions.successfulContribution.length,
             )
-            if (result.data.createPendingCreations.failedCreation.length > 0) {
-              result.data.createPendingCreations.failedCreation.forEach((email) => {
-                failedCreations.push(email)
+            if (result.data.adminCreateContributions.failedContribution.length > 0) {
+              result.data.adminCreateContributions.failedContribution.forEach((email) => {
+                failedContributions.push(email)
               })
             }
             this.$emit('remove-all-bookmark')
-            this.$emit('toast-failed-creations', failedCreations)
+            this.$emit('toast-failed-creations', failedContributions)
           })
           .catch((error) => {
             this.toastError(error.message)
@@ -190,11 +190,11 @@ export default {
         }
         this.$apollo
           .mutate({
-            mutation: createPendingCreation,
+            mutation: adminCreateContribution,
             variables: submitObj,
           })
           .then((result) => {
-            this.$emit('update-user-data', this.item, result.data.createPendingCreation)
+            this.$emit('update-user-data', this.item, result.data.adminCreateContribution)
             this.$store.commit('openCreationsPlus', 1)
             this.toastSuccess(
               this.$t('creation_form.toasted', {
diff --git a/admin/src/components/EditCreationFormular.spec.js b/admin/src/components/EditCreationFormular.spec.js
index f39edad52..2ed3baa3b 100644
--- a/admin/src/components/EditCreationFormular.spec.js
+++ b/admin/src/components/EditCreationFormular.spec.js
@@ -6,7 +6,7 @@ const localVue = global.localVue
 
 const apolloMutateMock = jest.fn().mockResolvedValue({
   data: {
-    updatePendingCreation: {
+    adminUpdateContribution: {
       creation: [0, 0, 0],
       amount: 500,
       date: new Date(),
diff --git a/admin/src/components/EditCreationFormular.vue b/admin/src/components/EditCreationFormular.vue
index fb30f2b77..0c5bb5a6a 100644
--- a/admin/src/components/EditCreationFormular.vue
+++ b/admin/src/components/EditCreationFormular.vue
@@ -73,7 +73,7 @@
   </div>
 </template>
 <script>
-import { updatePendingCreation } from '../graphql/updatePendingCreation'
+import { adminUpdateContribution } from '../graphql/adminUpdateContribution'
 import { creationMonths } from '../mixins/creationMonths'
 
 export default {
@@ -113,7 +113,7 @@ export default {
     submitCreation() {
       this.$apollo
         .mutate({
-          mutation: updatePendingCreation,
+          mutation: adminUpdateContribution,
           variables: {
             id: this.item.id,
             email: this.item.email,
@@ -123,11 +123,11 @@ export default {
           },
         })
         .then((result) => {
-          this.$emit('update-user-data', this.item, result.data.updatePendingCreation.creation)
+          this.$emit('update-user-data', this.item, result.data.adminUpdateContribution.creation)
           this.$emit('update-creation-data', {
-            amount: Number(result.data.updatePendingCreation.amount),
-            date: result.data.updatePendingCreation.date,
-            memo: result.data.updatePendingCreation.memo,
+            amount: Number(result.data.adminUpdateContribution.amount),
+            date: result.data.adminUpdateContribution.date,
+            memo: result.data.adminUpdateContribution.memo,
             row: this.row,
           })
           this.toastSuccess(
diff --git a/admin/src/graphql/adminCreateContribution.js b/admin/src/graphql/adminCreateContribution.js
new file mode 100644
index 000000000..5ee409c67
--- /dev/null
+++ b/admin/src/graphql/adminCreateContribution.js
@@ -0,0 +1,12 @@
+import gql from 'graphql-tag'
+
+export const adminCreateContribution = gql`
+  mutation ($email: String!, $amount: Decimal!, $memo: String!, $creationDate: String!) {
+    adminCreateContribution(
+      email: $email
+      amount: $amount
+      memo: $memo
+      creationDate: $creationDate
+    )
+  }
+`
diff --git a/admin/src/graphql/adminCreateContributions.js b/admin/src/graphql/adminCreateContributions.js
new file mode 100644
index 000000000..20831975c
--- /dev/null
+++ b/admin/src/graphql/adminCreateContributions.js
@@ -0,0 +1,11 @@
+import gql from 'graphql-tag'
+
+export const adminCreateContributions = gql`
+  mutation ($pendingCreations: [AdminCreateContributionArgs!]!) {
+    adminCreateContributions(pendingCreations: $pendingCreations) {
+      success
+      successfulContribution
+      failedContribution
+    }
+  }
+`
diff --git a/admin/src/graphql/adminDeleteContribution.js b/admin/src/graphql/adminDeleteContribution.js
new file mode 100644
index 000000000..0aed494e1
--- /dev/null
+++ b/admin/src/graphql/adminDeleteContribution.js
@@ -0,0 +1,7 @@
+import gql from 'graphql-tag'
+
+export const adminDeleteContribution = gql`
+  mutation ($id: Int!) {
+    adminDeleteContribution(id: $id)
+  }
+`
diff --git a/admin/src/graphql/updatePendingCreation.js b/admin/src/graphql/adminUpdateContribution.js
similarity index 80%
rename from admin/src/graphql/updatePendingCreation.js
rename to admin/src/graphql/adminUpdateContribution.js
index f0775e68b..b7c834109 100644
--- a/admin/src/graphql/updatePendingCreation.js
+++ b/admin/src/graphql/adminUpdateContribution.js
@@ -1,8 +1,8 @@
 import gql from 'graphql-tag'
 
-export const updatePendingCreation = gql`
+export const adminUpdateContribution = gql`
   mutation ($id: Int!, $email: String!, $amount: Decimal!, $memo: String!, $creationDate: String!) {
-    updatePendingCreation(
+    adminUpdateContribution(
       id: $id
       email: $email
       amount: $amount
diff --git a/admin/src/graphql/confirmContribution.js b/admin/src/graphql/confirmContribution.js
new file mode 100644
index 000000000..7b5aa58cc
--- /dev/null
+++ b/admin/src/graphql/confirmContribution.js
@@ -0,0 +1,7 @@
+import gql from 'graphql-tag'
+
+export const confirmContribution = gql`
+  mutation ($id: Int!) {
+    confirmContribution(id: $id)
+  }
+`
diff --git a/admin/src/graphql/getPendingCreations.js b/admin/src/graphql/listUnconfirmedContributions.js
similarity index 67%
rename from admin/src/graphql/getPendingCreations.js
rename to admin/src/graphql/listUnconfirmedContributions.js
index 86b1965c8..c31347468 100644
--- a/admin/src/graphql/getPendingCreations.js
+++ b/admin/src/graphql/listUnconfirmedContributions.js
@@ -1,8 +1,8 @@
 import gql from 'graphql-tag'
 
-export const getPendingCreations = gql`
+export const listUnconfirmedContributions = gql`
   query {
-    getPendingCreations {
+    listUnconfirmedContributions {
       id
       firstName
       lastName
diff --git a/admin/src/pages/CreationConfirm.spec.js b/admin/src/pages/CreationConfirm.spec.js
index 6df60378c..632f19ff9 100644
--- a/admin/src/pages/CreationConfirm.spec.js
+++ b/admin/src/pages/CreationConfirm.spec.js
@@ -1,7 +1,7 @@
 import { mount } from '@vue/test-utils'
 import CreationConfirm from './CreationConfirm.vue'
-import { deletePendingCreation } from '../graphql/deletePendingCreation'
-import { confirmPendingCreation } from '../graphql/confirmPendingCreation'
+import { adminDeleteContribution } from '../graphql/adminDeleteContribution'
+import { confirmContribution } from '../graphql/confirmContribution'
 import { toastErrorSpy, toastSuccessSpy } from '../../test/testSetup'
 
 const localVue = global.localVue
@@ -9,7 +9,7 @@ const localVue = global.localVue
 const storeCommitMock = jest.fn()
 const apolloQueryMock = jest.fn().mockResolvedValue({
   data: {
-    getPendingCreations: [
+    listUnconfirmedContributions: [
       {
         id: 1,
         firstName: 'Bibi',
@@ -84,9 +84,9 @@ describe('CreationConfirm', () => {
         await wrapper.findAll('tr').at(1).findAll('button').at(0).trigger('click')
       })
 
-      it('calls the deletePendingCreation mutation', () => {
+      it('calls the adminDeleteContribution mutation', () => {
         expect(apolloMutateMock).toBeCalledWith({
-          mutation: deletePendingCreation,
+          mutation: adminDeleteContribution,
           variables: { id: 1 },
         })
       })
@@ -141,9 +141,9 @@ describe('CreationConfirm', () => {
             await wrapper.find('#overlay').findAll('button').at(1).trigger('click')
           })
 
-          it('calls the confirmPendingCreation mutation', () => {
+          it('calls the confirmContribution mutation', () => {
             expect(apolloMutateMock).toBeCalledWith({
-              mutation: confirmPendingCreation,
+              mutation: confirmContribution,
               variables: { id: 2 },
             })
           })
diff --git a/admin/src/pages/CreationConfirm.vue b/admin/src/pages/CreationConfirm.vue
index 26928fb67..061556ba1 100644
--- a/admin/src/pages/CreationConfirm.vue
+++ b/admin/src/pages/CreationConfirm.vue
@@ -15,9 +15,9 @@
 <script>
 import Overlay from '../components/Overlay.vue'
 import OpenCreationsTable from '../components/Tables/OpenCreationsTable.vue'
-import { getPendingCreations } from '../graphql/getPendingCreations'
-import { deletePendingCreation } from '../graphql/deletePendingCreation'
-import { confirmPendingCreation } from '../graphql/confirmPendingCreation'
+import { listUnconfirmedContributions } from '../graphql/listUnconfirmedContributions'
+import { adminDeleteContribution } from '../graphql/adminDeleteContribution'
+import { confirmContribution } from '../graphql/confirmContribution'
 
 export default {
   name: 'CreationConfirm',
@@ -36,7 +36,7 @@ export default {
     removeCreation(item) {
       this.$apollo
         .mutate({
-          mutation: deletePendingCreation,
+          mutation: adminDeleteContribution,
           variables: {
             id: item.id,
           },
@@ -52,7 +52,7 @@ export default {
     confirmCreation() {
       this.$apollo
         .mutate({
-          mutation: confirmPendingCreation,
+          mutation: confirmContribution,
           variables: {
             id: this.item.id,
           },
@@ -70,13 +70,13 @@ export default {
     getPendingCreations() {
       this.$apollo
         .query({
-          query: getPendingCreations,
+          query: listUnconfirmedContributions,
           fetchPolicy: 'network-only',
         })
         .then((result) => {
           this.$store.commit('resetOpenCreations')
-          this.pendingCreations = result.data.getPendingCreations
-          this.$store.commit('setOpenCreations', result.data.getPendingCreations.length)
+          this.pendingCreations = result.data.listUnconfirmedContributions
+          this.$store.commit('setOpenCreations', result.data.listUnconfirmedContributions.length)
         })
         .catch((error) => {
           this.toastError(error.message)
diff --git a/admin/src/pages/Overview.spec.js b/admin/src/pages/Overview.spec.js
index b3d720d5c..cc5a0c3a5 100644
--- a/admin/src/pages/Overview.spec.js
+++ b/admin/src/pages/Overview.spec.js
@@ -5,7 +5,7 @@ const localVue = global.localVue
 
 const apolloQueryMock = jest.fn().mockResolvedValue({
   data: {
-    getPendingCreations: [
+    listUnconfirmedContributions: [
       {
         pending: true,
       },
@@ -46,7 +46,7 @@ describe('Overview', () => {
       wrapper = Wrapper()
     })
 
-    it('calls getPendingCreations', () => {
+    it('calls listUnconfirmedContributions', () => {
       expect(apolloQueryMock).toBeCalled()
     })
 
diff --git a/admin/src/pages/Overview.vue b/admin/src/pages/Overview.vue
index ed7ac8ad7..1ebb53540 100644
--- a/admin/src/pages/Overview.vue
+++ b/admin/src/pages/Overview.vue
@@ -31,7 +31,7 @@
   </div>
 </template>
 <script>
-import { getPendingCreations } from '../graphql/getPendingCreations'
+import { listUnconfirmedContributions } from '../graphql/listUnconfirmedContributions'
 
 export default {
   name: 'overview',
@@ -39,11 +39,11 @@ export default {
     async getPendingCreations() {
       this.$apollo
         .query({
-          query: getPendingCreations,
+          query: listUnconfirmedContributions,
           fetchPolicy: 'network-only',
         })
         .then((result) => {
-          this.$store.commit('setOpenCreations', result.data.getPendingCreations.length)
+          this.$store.commit('setOpenCreations', result.data.listUnconfirmedContributions.length)
         })
     },
   },
diff --git a/backend/.env.dist b/backend/.env.dist
index 62b786456..41eeeaf58 100644
--- a/backend/.env.dist
+++ b/backend/.env.dist
@@ -1,4 +1,4 @@
-CONFIG_VERSION=v6.2022-04-21
+CONFIG_VERSION=v7.2022-06-15
 
 # Server
 PORT=4000
@@ -28,6 +28,7 @@ COMMUNITY_NAME=Gradido Entwicklung
 COMMUNITY_URL=http://localhost/
 COMMUNITY_REGISTER_URL=http://localhost/register
 COMMUNITY_REDEEM_URL=http://localhost/redeem/{code}
+COMMUNITY_REDEEM_CONTRIBUTION_URL=http://localhost/redeem/CL-{code}
 COMMUNITY_DESCRIPTION=Die lokale Entwicklungsumgebung von Gradido.
 
 # Login Server
diff --git a/backend/.env.template b/backend/.env.template
index 140ec67e9..284abc204 100644
--- a/backend/.env.template
+++ b/backend/.env.template
@@ -27,6 +27,7 @@ COMMUNITY_NAME=$COMMUNITY_NAME
 COMMUNITY_URL=$COMMUNITY_URL
 COMMUNITY_REGISTER_URL=$COMMUNITY_REGISTER_URL
 COMMUNITY_REDEEM_URL=$COMMUNITY_REDEEM_URL
+COMMUNITY_REDEEM_CONTRIBUTION_URL=$COMMUNITY_REDEEM_CONTRIBUTION_URL
 COMMUNITY_DESCRIPTION=$COMMUNITY_DESCRIPTION
 
 # Login Server
diff --git a/backend/src/auth/RIGHTS.ts b/backend/src/auth/RIGHTS.ts
index 8188b3daa..57ab98847 100644
--- a/backend/src/auth/RIGHTS.ts
+++ b/backend/src/auth/RIGHTS.ts
@@ -27,14 +27,19 @@ export enum RIGHTS {
   GDT_BALANCE = 'GDT_BALANCE',
   // Admin
   SEARCH_USERS = 'SEARCH_USERS',
-  CREATE_PENDING_CREATION = 'CREATE_PENDING_CREATION',
-  UPDATE_PENDING_CREATION = 'UPDATE_PENDING_CREATION',
-  SEARCH_PENDING_CREATION = 'SEARCH_PENDING_CREATION',
-  DELETE_PENDING_CREATION = 'DELETE_PENDING_CREATION',
-  CONFIRM_PENDING_CREATION = 'CONFIRM_PENDING_CREATION',
+  ADMIN_CREATE_CONTRIBUTION = 'ADMIN_CREATE_CONTRIBUTION',
+  ADMIN_CREATE_CONTRIBUTIONS = 'ADMIN_CREATE_CONTRIBUTIONS',
+  ADMIN_UPDATE_CONTRIBUTION = 'ADMIN_UPDATE_CONTRIBUTION',
+  ADMIN_DELETE_CONTRIBUTION = 'ADMIN_DELETE_CONTRIBUTION',
+  LIST_UNCONFIRMED_CONTRIBUTIONS = 'LIST_UNCONFIRMED_CONTRIBUTIONS',
+  CONFIRM_CONTRIBUTION = 'CONFIRM_CONTRIBUTION',
   SEND_ACTIVATION_EMAIL = 'SEND_ACTIVATION_EMAIL',
   DELETE_USER = 'DELETE_USER',
   UNDELETE_USER = 'UNDELETE_USER',
   CREATION_TRANSACTION_LIST = 'CREATION_TRANSACTION_LIST',
   LIST_TRANSACTION_LINKS_ADMIN = 'LIST_TRANSACTION_LINKS_ADMIN',
+  CREATE_CONTRIBUTION_LINK = 'CREATE_CONTRIBUTION_LINK',
+  LIST_CONTRIBUTION_LINKS = 'LIST_CONTRIBUTION_LINKS',
+  DELETE_CONTRIBUTION_LINK = 'DELETE_CONTRIBUTION_LINK',
+  UPDATE_CONTRIBUTION_LINK = 'UPDATE_CONTRIBUTION_LINK',
 }
diff --git a/backend/src/config/index.ts b/backend/src/config/index.ts
index 28318ed6b..2a99fd3c0 100644
--- a/backend/src/config/index.ts
+++ b/backend/src/config/index.ts
@@ -10,14 +10,14 @@ Decimal.set({
 })
 
 const constants = {
-  DB_VERSION: '0036-unique_previous_in_transactions',
+  DB_VERSION: '0039-contributions_table',
   DECAY_START_TIME: new Date('2021-05-13 17:46:31-0000'), // GMT+0
   LOG4JS_CONFIG: 'log4js-config.json',
   // default log level on production should be info
   LOG_LEVEL: process.env.LOG_LEVEL || 'info',
   CONFIG_VERSION: {
     DEFAULT: 'DEFAULT',
-    EXPECTED: 'v6.2022-04-21',
+    EXPECTED: 'v7.2022-06-15',
     CURRENT: '',
   },
 }
@@ -54,6 +54,8 @@ const community = {
   COMMUNITY_URL: process.env.COMMUNITY_URL || 'http://localhost/',
   COMMUNITY_REGISTER_URL: process.env.COMMUNITY_REGISTER_URL || 'http://localhost/register',
   COMMUNITY_REDEEM_URL: process.env.COMMUNITY_REDEEM_URL || 'http://localhost/redeem/{code}',
+  COMMUNITY_REDEEM_CONTRIBUTION_URL:
+    process.env.COMMUNITY_REDEEM_CONTRIBUTION_URL || 'http://localhost/redeem/CL-{code}',
   COMMUNITY_DESCRIPTION:
     process.env.COMMUNITY_DESCRIPTION || 'Die lokale Entwicklungsumgebung von Gradido.',
 }
diff --git a/backend/src/graphql/arg/CreatePendingCreationArgs.ts b/backend/src/graphql/arg/AdminCreateContributionArgs.ts
similarity index 85%
rename from backend/src/graphql/arg/CreatePendingCreationArgs.ts
rename to backend/src/graphql/arg/AdminCreateContributionArgs.ts
index 11c345465..b09edea32 100644
--- a/backend/src/graphql/arg/CreatePendingCreationArgs.ts
+++ b/backend/src/graphql/arg/AdminCreateContributionArgs.ts
@@ -3,7 +3,7 @@ import Decimal from 'decimal.js-light'
 
 @InputType()
 @ArgsType()
-export default class CreatePendingCreationArgs {
+export default class AdminCreateContributionArgs {
   @Field(() => String)
   email: string
 
diff --git a/backend/src/graphql/arg/UpdatePendingCreationArgs.ts b/backend/src/graphql/arg/AdminUpdateContributionArgs.ts
similarity index 85%
rename from backend/src/graphql/arg/UpdatePendingCreationArgs.ts
rename to backend/src/graphql/arg/AdminUpdateContributionArgs.ts
index 691d73154..392365b38 100644
--- a/backend/src/graphql/arg/UpdatePendingCreationArgs.ts
+++ b/backend/src/graphql/arg/AdminUpdateContributionArgs.ts
@@ -2,7 +2,7 @@ import { ArgsType, Field, Int } from 'type-graphql'
 import Decimal from 'decimal.js-light'
 
 @ArgsType()
-export default class UpdatePendingCreationArgs {
+export default class AdminUpdateContributionArgs {
   @Field(() => Int)
   id: number
 
diff --git a/backend/src/graphql/arg/ContributionLinkArgs.ts b/backend/src/graphql/arg/ContributionLinkArgs.ts
new file mode 100644
index 000000000..7344a28ff
--- /dev/null
+++ b/backend/src/graphql/arg/ContributionLinkArgs.ts
@@ -0,0 +1,29 @@
+import { ArgsType, Field, Int } from 'type-graphql'
+import Decimal from 'decimal.js-light'
+
+@ArgsType()
+export default class ContributionLinkArgs {
+  @Field(() => Decimal)
+  amount: Decimal
+
+  @Field(() => String)
+  name: string
+
+  @Field(() => String)
+  memo: string
+
+  @Field(() => String)
+  cycle: string
+
+  @Field(() => String, { nullable: true })
+  validFrom?: string | null
+
+  @Field(() => String, { nullable: true })
+  validTo?: string | null
+
+  @Field(() => Decimal, { nullable: true })
+  maxAmountPerMonth: Decimal | null
+
+  @Field(() => Int)
+  maxPerCycle: number
+}
diff --git a/backend/src/graphql/enum/ContributionCycleType.ts b/backend/src/graphql/enum/ContributionCycleType.ts
new file mode 100644
index 000000000..5fe494a02
--- /dev/null
+++ b/backend/src/graphql/enum/ContributionCycleType.ts
@@ -0,0 +1,28 @@
+import { registerEnumType } from 'type-graphql'
+
+export enum ContributionCycleType {
+  ONCE = 'once',
+  HOUR = 'hour',
+  TWO_HOURS = 'two_hours',
+  FOUR_HOURS = 'four_hours',
+  EIGHT_HOURS = 'eight_hours',
+  HALF_DAY = 'half_day',
+  DAY = 'day',
+  TWO_DAYS = 'two_days',
+  THREE_DAYS = 'three_days',
+  FOUR_DAYS = 'four_days',
+  FIVE_DAYS = 'five_days',
+  SIX_DAYS = 'six_days',
+  WEEK = 'week',
+  TWO_WEEKS = 'two_weeks',
+  MONTH = 'month',
+  TWO_MONTH = 'two_month',
+  QUARTER = 'quarter',
+  HALF_YEAR = 'half_year',
+  YEAR = 'year',
+}
+
+registerEnumType(ContributionCycleType, {
+  name: 'ContributionCycleType', // this one is mandatory
+  description: 'Name of the Type of the ContributionCycle', // this one is optional
+})
diff --git a/backend/src/graphql/model/CreatePendingCreations.ts b/backend/src/graphql/model/AdminCreateContributions.ts
similarity index 54%
rename from backend/src/graphql/model/CreatePendingCreations.ts
rename to backend/src/graphql/model/AdminCreateContributions.ts
index 8d5bcef2c..aa402733a 100644
--- a/backend/src/graphql/model/CreatePendingCreations.ts
+++ b/backend/src/graphql/model/AdminCreateContributions.ts
@@ -1,19 +1,19 @@
 import { ObjectType, Field } from 'type-graphql'
 
 @ObjectType()
-export class CreatePendingCreations {
+export class AdminCreateContributions {
   constructor() {
     this.success = false
-    this.successfulCreation = []
-    this.failedCreation = []
+    this.successfulContribution = []
+    this.failedContribution = []
   }
 
   @Field(() => Boolean)
   success: boolean
 
   @Field(() => [String])
-  successfulCreation: string[]
+  successfulContribution: string[]
 
   @Field(() => [String])
-  failedCreation: string[]
+  failedContribution: string[]
 }
diff --git a/backend/src/graphql/model/UpdatePendingCreation.ts b/backend/src/graphql/model/AdminUpdateContribution.ts
similarity index 87%
rename from backend/src/graphql/model/UpdatePendingCreation.ts
rename to backend/src/graphql/model/AdminUpdateContribution.ts
index e19e1e064..e824975a4 100644
--- a/backend/src/graphql/model/UpdatePendingCreation.ts
+++ b/backend/src/graphql/model/AdminUpdateContribution.ts
@@ -2,7 +2,7 @@ import { ObjectType, Field } from 'type-graphql'
 import Decimal from 'decimal.js-light'
 
 @ObjectType()
-export class UpdatePendingCreation {
+export class AdminUpdateContribution {
   @Field(() => Date)
   date: Date
 
diff --git a/backend/src/graphql/model/ContributionLink.ts b/backend/src/graphql/model/ContributionLink.ts
new file mode 100644
index 000000000..9fe9eccd6
--- /dev/null
+++ b/backend/src/graphql/model/ContributionLink.ts
@@ -0,0 +1,62 @@
+import { ObjectType, Field, Int } from 'type-graphql'
+import Decimal from 'decimal.js-light'
+import { ContributionLink as dbContributionLink } from '@entity/ContributionLink'
+import CONFIG from '@/config'
+
+@ObjectType()
+export class ContributionLink {
+  constructor(contributionLink: dbContributionLink) {
+    this.id = contributionLink.id
+    this.amount = contributionLink.amount
+    this.name = contributionLink.name
+    this.memo = contributionLink.memo
+    this.createdAt = contributionLink.createdAt
+    this.deletedAt = contributionLink.deletedAt
+    this.validFrom = contributionLink.validFrom
+    this.validTo = contributionLink.validTo
+    this.maxAmountPerMonth = contributionLink.maxAmountPerMonth
+    this.cycle = contributionLink.cycle
+    this.maxPerCycle = contributionLink.maxPerCycle
+    this.code = contributionLink.code
+    this.link = CONFIG.COMMUNITY_REDEEM_CONTRIBUTION_URL.replace(/{code}/g, this.code)
+  }
+
+  @Field(() => Number)
+  id: number
+
+  @Field(() => Decimal)
+  amount: Decimal
+
+  @Field(() => String)
+  name: string
+
+  @Field(() => String)
+  memo: string
+
+  @Field(() => String)
+  code: string
+
+  @Field(() => String)
+  link: string
+
+  @Field(() => Date)
+  createdAt: Date
+
+  @Field(() => Date, { nullable: true })
+  deletedAt: Date | null
+
+  @Field(() => Date, { nullable: true })
+  validFrom: Date | null
+
+  @Field(() => Date, { nullable: true })
+  validTo: Date | null
+
+  @Field(() => Decimal, { nullable: true })
+  maxAmountPerMonth: Decimal | null
+
+  @Field(() => String)
+  cycle: string
+
+  @Field(() => Int)
+  maxPerCycle: number
+}
diff --git a/backend/src/graphql/model/ContributionLinkList.ts b/backend/src/graphql/model/ContributionLinkList.ts
new file mode 100644
index 000000000..412d0bf7b
--- /dev/null
+++ b/backend/src/graphql/model/ContributionLinkList.ts
@@ -0,0 +1,11 @@
+import { ObjectType, Field } from 'type-graphql'
+import { ContributionLink } from '@model/ContributionLink'
+
+@ObjectType()
+export class ContributionLinkList {
+  @Field(() => [ContributionLink])
+  links: ContributionLink[]
+
+  @Field(() => Number)
+  count: number
+}
diff --git a/backend/src/graphql/model/PendingCreation.ts b/backend/src/graphql/model/UnconfirmedContribution.ts
similarity index 93%
rename from backend/src/graphql/model/PendingCreation.ts
rename to backend/src/graphql/model/UnconfirmedContribution.ts
index 500ba6f6b..69001c19b 100644
--- a/backend/src/graphql/model/PendingCreation.ts
+++ b/backend/src/graphql/model/UnconfirmedContribution.ts
@@ -2,7 +2,7 @@ import { ObjectType, Field, Int } from 'type-graphql'
 import Decimal from 'decimal.js-light'
 
 @ObjectType()
-export class PendingCreation {
+export class UnconfirmedContribution {
   @Field(() => String)
   firstName: string
 
